Skip to main content
POST
/
mailbox
/
messages
/
send
Send a mailbox message
curl --request POST \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": [
    {
      "email": "agent@example.com",
      "name": "Support"
    }
  ],
  "subject": "<string>"
}
'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "message_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

Idempotency-Key
string
Maximum string length: 255

Body

application/json
to
object[]
required
Minimum array length: 1
subject
string
required
from
object
cc
object[]
bcc
object[]
reply_to
object[]
text_body
string
html_body
string
custom_headers
object
attachments
object[]

Response

Message queued

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required